Page MenuHomePhabricator

Add 'Files Uploaded' data to downloadable csv
Open, MediumPublic

Description

The Files Uploaded downloadable reports give details on all files uploaded during during an event.

  • Metric definitions: See below, under "Definitions of Metrics"
  • Event details: In addition to the data/metrics, the CSV file will contain some descriptive information about the event and the report. See below under "Event details."
  • Report filename: when the user saves the report, the filename should follow this format: files-uploaded_event-name

Report Content

Metrics/column names

  • The left-most column of the report will be a list of filenames.
  • The metrics/data in each row all pertain to the file in the leftmost column.
  • The default sort order will be by "Avg. daily pageviews," descending

Use the column labels listed below, in this order.

  • Filename [method defined in T206819]
  • Caption
  • URL
  • Wiki
  • Media type
  • Uploaded by
  • Pages using this file [method defined in T206819]
  • Avg. daily pageviews [method defined in T206700; also in T206819]

Event details

At the bottom of the csv report below the data above, please list the data in the table below:.

  • Please separate the event details from the report with a line of 7 dashes, as shown
  • The timezone notation and all dates/times are the timezone of the event as per the Settings, not of the user who did the downloading.
  • The "last updated" time is the time of the last Update, not of the download,
———————
Files Uploaded:Eventname
Timezone:Timezonecountry/City
Start date:yyyy-mm-dd hh:mm
End date:yyyy-mm-dd hh:mm
Last updated:yyyy-mm-dd hh:mm

Metric definitions & formatting

  • Filename Gives the name of each file uploaded during the event, to both Commons and local wikis (if they are specified as wikis of interest in event setup). This is a file-by-file listing of the Files Uploaded metric from T205561.
  • URL of the uploaded file.
  • Caption pull and present the structured-data "caption" info, which is available currently only for Commons files. If no caption is available, list as "n/a" for "not available" instead of leaving empty.
  • Wiki where the file was uploaded to. Limited to the short list of wikis defined on the Event Setup screen for the event. For space reasons, label all Wikipedias only using the language name: e.g., "Spanish," French," etc. (i.e., omit "Wikipedia"). List "Commons" and "Wikidata" as such.
  • Media type List whether the file is an image, video, audio, executable, 3D, etc, as per the table that lists this characteristic.
  • Uploaded by The username of the person who uploaded the file.
  • Pages using this file A count of how many pages contain the uploaded file, on all wikis (i.e., not just those specified for the event). This is an individual-file version of the "Unique pages with uploaded files" metric from T205561.
  • Avg. daily pageviews Pageviews per day to all pages on which the uploaded file has been placed. Counts pageviews on all wikis with articles that include the uploaded file—not just wikis specified as wikis of interest in event setup. Avg. is calculated from a 30-day sample; if 30 days are not available, use the number of days that are available. If no days are available (i.e., if it's the first day), then display "n/a" for "not available."

Data that are fixed at event close vs. data that continue to develop

Figures like Pageviews naturally continue to develop after the event is over. Other figures can be considered fixed once the event period is over; these could be stored and need never be calculated again. Here is a breakdown for this report:

Remain fixed

  • Filename
  • URL
  • Wiki
  • Media type
  • Uploaded by

Continue to develop

  • Caption
  • Pages using this file
  • Avg. daily pageviews

Event Timeline

jmatazzoni triaged this task as Medium priority.Dec 22 2018, 12:20 AM
jmatazzoni created this task.
jmatazzoni renamed this task from Add 'Files Uploaded' data to downloadable csv to Add 'Files Uploaded' data to downloadable csv (release II).Jan 15 2019, 11:38 PM
jmatazzoni renamed this task from Add 'Files Uploaded' data to downloadable csv (release II) to Add 'Files Uploaded' data to downloadable csv .Jan 29 2019, 7:01 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)
Restricted Application added a project: Community-Tech. · View Herald TranscriptMar 7 2019, 6:27 PM